2020-07-11 07:42 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004307Deliverance[All Projects] Generalpublic2020-04-20 14:55
Reporterfunkazzista 
Assigned ToJOTDProject InfoDeliverance (21st Century)
http://www.whdload.de/games/Deliverance.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0004307: Buttons of my PS2 joypad seem to be not correctly detected, in that I cannot
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.5 from 26.05.2019

Buttons of my PS2 joypad seem to be not correctly detected, in that I cannot even start a new game: tried flagging both on and off "blue/2nd button act like UP" option in the splash screen, outcome was unfortunately the same.
TagsNo tags attached.
MachineA1200
CPU68060 + PPC
CPUSpeed50
ChipSetAGA
GFXCardVoodoo3/Mediator
ChipMem256 KB
FastMem256MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad18.6beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0008054

funkazzista (reporter)

Hey JOTD!
I'm sorry for being this late, but my Amiga finally got fixed and I finally was able to test both v1.4 and v1.5 of your slave.
I can confirm to you that v1.4 works just fine with my joypad and I can play the game (even if with only 1 one button), while with v1.5 no button seems to be recognized when pressed, either with "blue/2nd button act like UP" option on or off.

note ~0008055

JOTD (developer)

Last edited: 2020-04-05 18:20

View 2 revisions

at this point I suggest that you use JoyTest program from aminet to test your joypad: http://aminet.net/package/driver/input/JoyPortTest.lha

That's how I found out that my joypad wasn't working except for the red button (no kidding!). I picked a new joypad and everything worked.

This PS2 joypad comes with an adapter I suppose? are you sure CD32 protocol is supported?

note ~0008063

funkazzista (reporter)

Jeff, I tested that JoyTest program both with lowlevel.library checked and unchecked, and all of my PS2 controller buttons are detected just fine.
Please notice that my PS2 controller works with all the other WHDLoad slaves supporting at least 2 buttons I tested, for example all the recent ones released by CFOU! work without any problem.
It's only v1.5 of your Deliverance slave that doesn't detect buttons at all: even weirder, I've just tried playing it with a Honeybee controller and that just works instead (except for the UP direction that still makes the character jump, but maybe that's on purpose?)!
So, should this problem be too hard/weird to look into, I guess I can always change controller only for this particular game.

note ~0008086

JOTD (developer)

Last edited: 2020-04-08 23:35

View 2 revisions

strange. The code I use is very standard. Maybe timers are off, going to check.

Honeybee controller is very similar to standard joypad. And yes, up has been left in because it was too difficult to handle all the moves/ladder/fight if disabled.

In the meanwhile, it would help if you tested my recent releases with joypad support too.

note ~0008226

funkazzista (reporter)

Hello Jeff,
I've tried some of your recent releases and here are the results when I tested them with my PS2 controller:
- Chaos Engine ECS -> buttons work fine, even start/pause button!
- Chaos Engine AGA -> buttons work fine (but on my system game is slow as hell, completely unplayable)
- Chaos Engine CD32 -> there's a huge lag in button presses and they seem to get recognized only when I keep button pressed
- Ruff'n'Tumble -> same problem as Deliverance, cannot even start the game
- Oscar AGA and ECS -> jump with second button works!
- Commando -> both buttons are detected just fine!

Just like with Deliverance, when tried with the Honeybee controller all problems listed above were gone (except for the AGA version of Chaos Engine which is obviously still sloooooow).

note ~0008232

JOTD (developer)

Last edited: 2020-04-17 17:50

View 2 revisions

thanks for those details. It makes a lot of sense to me. @CFOU may be interested in reading this as well.

It means that I have to read the joypad buttons during the VBLANK interrupt, not somewhere else, or it may be incompatible with some adapters.

So I think I'm able to fix Deliverance, and others you mentionned, without even being able to reproduce the issues. Well, it appears that Ruff'n'tumble is already reading during vblank so maybe false lead.

note ~0008234

JOTD (developer)

Last edited: 2020-04-17 17:49

View 3 revisions

in the meanwhile, have you tested Chaos Engine latest version (2020-04-16) ? or a previous version?
If not can you test the latest version?

AGA version of Chaos Engine is slower than ECS & CD32 because it runs in chip memory. I have hacked CD32 version so it can run in fast but that's a hell of a job.

BTW do you happen to switch the controller while the game is already running? my early slaves detect the controllers at startup, and never again.

note ~0008269

JOTD (developer)

Last edited: 2020-04-18 01:21

View 2 revisions

Can you test the attached beta Deliverance slave v2.0?

And I also attached a fixed Ruff N Tumble, can you test it? If this doesn't work please open a separate issue for each game.

note ~0008354

funkazzista (reporter)

Re: Chaos Engine
My tests were based on v2.0 of the slave: I've now tested v2.1 and unfortunately I have to say that the new version seems to have worsen even the ECS version because now game gets stuck on "GET READY" logo and when it finally disappears, button presses behave just like in the CD32 version (i.e. huge lag in their detection).

OTOH I'm glad to tell you that with those new slaves both Deliverance and Ruff'n'Tumble seem to work pretty well with my PS2 controller: thank you a lot, Jeff! :)
+Notes

-Issue History
Date Modified Username Field Change
2019-12-05 14:51 administrator New Issue
2019-12-05 14:51 administrator Status new => assigned
2019-12-05 14:51 administrator Assigned To => JOTD
2020-02-15 17:28 JOTD Status assigned => feedback
2020-02-17 09:33 funkazzista Status feedback => assigned
2020-03-03 07:10 JOTD Status assigned => feedback
2020-04-05 18:14 funkazzista Note Added: 0008054
2020-04-05 18:14 funkazzista Status feedback => assigned
2020-04-05 18:19 JOTD Note Added: 0008055
2020-04-05 18:20 JOTD Note Edited: 0008055 View Revisions
2020-04-06 10:37 funkazzista Note Added: 0008063
2020-04-08 23:32 JOTD Note Added: 0008086
2020-04-08 23:35 JOTD Note Edited: 0008086 View Revisions
2020-04-17 11:52 funkazzista Note Added: 0008226
2020-04-17 16:00 JOTD Note Added: 0008232
2020-04-17 17:47 JOTD Note Added: 0008234
2020-04-17 17:48 JOTD Note Edited: 0008234 View Revisions
2020-04-17 17:49 JOTD Note Edited: 0008234 View Revisions
2020-04-17 17:50 JOTD Note Edited: 0008232 View Revisions
2020-04-18 00:41 JOTD Note Added: 0008269
2020-04-18 00:42 JOTD File Added: Deliverance.zip
2020-04-18 01:13 JOTD File Deleted: Deliverance.zip
2020-04-18 01:13 JOTD File Added: Deliverance.zip
2020-04-18 01:21 JOTD File Added: RuffNTumble.zip
2020-04-18 01:21 JOTD Note Edited: 0008269 View Revisions
2020-04-20 13:57 funkazzista Note Added: 0008354
2020-04-20 14:55 JOTD Status assigned => closed
2020-04-20 14:55 JOTD Resolution open => fixed
+Issue History